//---------------------------------------------------------------------------
// Copyright (C) 2004 Dallas Semiconductor Corporation, All Rights Reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
// OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// Except as contained in this notice, the name of Dallas Semiconductor
// shall not be used except as stated in the Dallas Semiconductor
// Branding Policy.
//---------------------------------------------------------------------------
//
//  I2CMaster.h - Header file for I2CMaster.c.
//
//  Date: June 21, 2004
//  Version: 1.00
//
// --------------------------------------------------------------------------

#include "reg420.h"
#include <stdio.h>

#include "timer.h"

#ifndef __I2CMaster_H
#define __I2CMaster_H

#include <string.h>
#include <ctype.h>

   #ifdef __CPP__
   extern C {
   #endif

      extern dbyte I2CBus_txBuffer;
      extern bit I2CBus_rxAck;
      extern dbyte I2CBus_rxBuffer;
      extern bit I2CBus_txAck;

      void I2CBus_init();
      void I2CBus_setClockDelay(uchar delay);
      void I2CBus_setSlaveAddress(uchar addr);
      void I2CBus_start();
      void I2CBus_stop();
      void I2CBus_putByte();
      void I2CBus_getByte();
      bit  I2CBus_write(uchar* txBytes, uchar len);
      bit  I2CBus_read(uchar* rxBytes, int len);
      bit  I2CBus_packetWrite(uchar memAddr, uchar* txBytes, uchar len);
      bit  I2CBus_packetRead(uchar memAddr, uchar* rxBytes, int len);


   #ifdef __CPP__
   }
   #endif

#endif